//#extension GL_OES_EGL_image_external : require
//precision mediump float;
varying lowp vec2 textureCoordinate;
uniform sampler2D SamplerY;
uniform sampler2D SamplerU;
uniform sampler2D SamplerV;
void main(void)
{
mediump vec3 yuv;
lowp vec3 rgb;
yuv.x = texture2D(SamplerY, textureCoordinate).r;
yuv.y = texture2D(SamplerU, textureCoordinate).r - 0.5;
yuv.z = texture2D(SamplerV, textureCoordinate).r - 0.5;
rgb = mat3( 1.0,   1.0,   1.0,
0.0,       -0.39465,  2.03211,
1.13983,   -0.58060,  0.0) * yuv;
gl_FragColor = vec4(rgb, 1.0);
}
